Bug 119399 - Add new Venezuela currency bolívar soberano (VES)
Summary: Add new Venezuela currency bolívar soberano (VES)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL: https://twitter.com/ramoningeniero/st...
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-21 12:04 UTC by Adolfo Jayme
Modified: 2018-09-15 19:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Venezuela (176.81 KB, image/jpeg)
2018-09-15 19:05 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2018-08-21 12:04:33 UTC
Incredibly high inflation rates prompted Venezuela’s government to remove five zeroes from its currency, the bolívar fuerte. The redenominated currency is called the “bolívar soberano” and its ISO 4217 code is VES. We need to include it.
Comment 1 Jean-Baptiste Faure 2018-08-21 21:04:19 UTC
Of course, valid enhancement request.
https://en.wikipedia.org/wiki/Sovereign_Bolivar

Best regards. JBF
Comment 2 Commit Notification 2018-08-22 20:11:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e9bdde3c07500abb13c72d2f6bec07aae6848da

Resolves: tdf#119399 add es-VE currency Bolivar Soberano VES Bs.S.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2018-08-22 20:12:14 UTC
Pending review
https://gerrit.libreoffice.org/59468 for 6-1
https://gerrit.libreoffice.org/59469 for 6-0
Comment 4 Commit Notification 2018-08-23 03:05:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0af2a930b28a480674243609d6ca749fb78f155d&h=libreoffice-6-0

Resolves: tdf#119399 add es-VE currency Bolivar Soberano VES Bs.S.

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-23 03:05:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65445886327c6f49e6d4f5ece620e918cdf8d88e&h=libreoffice-6-1

Resolves: tdf#119399 add es-VE currency Bolivar Soberano VES Bs.S.

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-09-15 19:05:21 UTC
Created attachment 144903 [details]
Venezuela

Tested on:
Version: 6.2.0.0.alpha0+
Build ID: e005ab5d40d358adb75a64e140d46f4bf605647d
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-15_02:08:38
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded

It apears in my language as: "VES Bs.S. Spanish (Venezuela)"